/*
 * userconf.h
 *
 *  Created on: Aug 3, 2023
 *      Author: true
 */

#ifndef CODE_INC_USERCONF_H_
#define CODE_INC_USERCONF_H_



#define UCONF_MAGIC		0x1f



typedef struct UserConf_t {
	uint8_t magic;
	uint8_t led_prog_idx;
	uint8_t led_zone;
	uint8_t led_bright;
	uint8_t led[15][4];
} UserConf_t;



extern UserConf_t uconf;



void uconf_save();
void uconf_restore(uint8_t force_defaults);



#endif /* CODE_INC_USERCONF_H_ */
